Bug 1808450 - [abrt] gnome-shell: wl_resource_get_version(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: wl_resource_get_version(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c2be63b4db0294ca51deeb2e15c...
: 1806600 1807576 1808107 1808590 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-28 14:48 UTC by tsroeirl
Modified: 2020-03-17 01:36 UTC (History)
10 users (show)

Fixed In Version: mutter-3.34.4-2.fc31 gnome-shell-3.34.4-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-17 01:36:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (43.66 KB, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details
File: core_backtrace (35.99 KB, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details
File: cpuinfo (2.48 KB, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details
File: dso_list (25.80 KB, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details
File: environ (2.11 KB, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details
File: exploitable (102 bytes, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details
File: limits (1.29 KB, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details
File: maps (186.21 KB, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details
File: mountinfo (2.50 KB, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details
File: open_fds (12.28 KB, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details
File: var_log_messages (6.10 KB, text/plain)
2020-02-28 14:48 UTC, tsroeirl
no flags Details

Description tsroeirl 2020-02-28 14:48:27 UTC
Description of problem:
Drag’n’dropped an email link out of Tor Browser into to an evolution email compose window content area.
The email link included some &body= content.

Version-Release number of selected component:
gnome-shell-3.34.4-1.fc31

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: wl_resource_get_version
executable:     /usr/bin/gnome-shell
journald_cursor: s=2fc5c7f3b41d4a09b80c21913af7a166;i=10c352;b=f24e8bc5a2334bbcabe25a1fd8d3adc9;m=170c29493;t=59fa00a624863;x=b613380b2665a0f3
kernel:         5.5.5-200.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 wl_resource_get_version at src/wayland-server.c:808
 #1 data_offer_choose_action at ../src/wayland/meta-wayland-data-device.c:207
 #2 data_offer_update_action at ../src/wayland/meta-wayland-data-device.c:185
 #3 create_and_send_dnd_offer at ../src/wayland/meta-wayland-data-device.c:681
 #4 meta_wayland_drag_grab_set_focus at ../src/wayland/meta-wayland-data-device.c:918
 #5 meta_xwayland_dnd_handle_client_message at ../src/wayland/meta-xwayland-dnd.c:794
 #6 meta_xwayland_dnd_handle_event at ../src/wayland/meta-xwayland-dnd.c:889
 #7 meta_x11_display_handle_xevent at ../src/x11/events.c:1794
 #8 xevent_filter at ../src/x11/events.c:1909
 #9 gdk_event_apply_filters at gdkeventsource.c:79

Comment 1 tsroeirl 2020-02-28 14:48:32 UTC
Created attachment 1666399 [details]
File: backtrace

Comment 2 tsroeirl 2020-02-28 14:48:34 UTC
Created attachment 1666400 [details]
File: core_backtrace

Comment 3 tsroeirl 2020-02-28 14:48:35 UTC
Created attachment 1666401 [details]
File: cpuinfo

Comment 4 tsroeirl 2020-02-28 14:48:38 UTC
Created attachment 1666402 [details]
File: dso_list

Comment 5 tsroeirl 2020-02-28 14:48:40 UTC
Created attachment 1666403 [details]
File: environ

Comment 6 tsroeirl 2020-02-28 14:48:41 UTC
Created attachment 1666404 [details]
File: exploitable

Comment 7 tsroeirl 2020-02-28 14:48:43 UTC
Created attachment 1666405 [details]
File: limits

Comment 8 tsroeirl 2020-02-28 14:48:46 UTC
Created attachment 1666406 [details]
File: maps

Comment 9 tsroeirl 2020-02-28 14:48:48 UTC
Created attachment 1666407 [details]
File: mountinfo

Comment 10 tsroeirl 2020-02-28 14:48:50 UTC
Created attachment 1666408 [details]
File: open_fds

Comment 11 tsroeirl 2020-02-28 14:48:51 UTC
Created attachment 1666409 [details]
File: proc_pid_status

Comment 12 tsroeirl 2020-02-28 14:48:55 UTC
Created attachment 1666410 [details]
File: var_log_messages

Comment 13 Phil Hale 2020-02-28 21:42:53 UTC
*** Bug 1808590 has been marked as a duplicate of this bug. ***

Comment 14 Peter Keresztes Schmidt 2020-02-29 15:41:33 UTC
Similar problem has been detected:

Moved thunderbird window from one monitor to another (DP-MST config).

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: wl_resource_get_version
executable:     /usr/bin/gnome-shell
journald_cursor: s=a9a0824683c846dcb35ec3378875e696;i=639120;b=950fd7fac11445609b0cc9e283755cf1;m=19a601fa4;t=59fb8a22f1184;x=bf114a6e659d5bf9
kernel:         5.5.6-201.fc31.x86_64
package:        gnome-shell-3.34.4-1.fc31
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Peter Keresztes Schmidt 2020-03-03 17:24:34 UTC
Similar problem has been detected:

Tried to drag&drop text out of thunderbird.

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: wl_resource_get_version
executable:     /usr/bin/gnome-shell
journald_cursor: s=a9a0824683c846dcb35ec3378875e696;i=640eca;b=876acf88785f424989fe2aad50e7a5fb;m=24a2ea98;t=59ff67db0690c;x=b8bae70eee8a55aa
kernel:         5.5.7-200.fc31.x86_64
package:        gnome-shell-3.34.4-1.fc31
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Jonas Ådahl 2020-03-11 13:59:52 UTC
*** Bug 1808107 has been marked as a duplicate of this bug. ***

Comment 17 Jonas Ådahl 2020-03-11 13:59:59 UTC
*** Bug 1807576 has been marked as a duplicate of this bug. ***

Comment 18 Jonas Ådahl 2020-03-11 14:00:09 UTC
*** Bug 1806600 has been marked as a duplicate of this bug. ***

Comment 19 Fedora Update System 2020-03-11 14:02:16 UTC
FEDORA-2020-61ddeb7ab4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-61ddeb7ab4

Comment 20 Fedora Update System 2020-03-12 22:59:24 UTC
gnome-shell-3.34.4-2.fc31, mutter-3.34.4-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-61ddeb7ab4

Comment 21 Fedora Update System 2020-03-17 01:36:21 UTC
gnome-shell-3.34.4-2.fc31, mutter-3.34.4-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.